Description

For observational surveys, it would be useful to be able to set the survey marker as a target. Then we can make SRS lock on to the
target, or use mods such as MechJeb more effectively to reach the target.

It would also be useful to know the approx. distance to the survey points from the KSC before accepting the target - a contract on the
other side of the world requires much more resources and work than one near the KSC.

History

#1 - 02/10/2016 01:14 PM - GalFisk

Nvermind on the survey points distance, | see that all survey points for available contracts are shown in the tracking station.

#2 - 02/15/2016 03:05 PM - Kasuha
The navball icon is fine for rovers or planes but landing a ship on one is a nightmare (typically on Mun/Minmus with rover wheels tech still
unavailable), target tracking would definitely help since target has an antipode icon on navball too.

Potential contracts should be removed from tracking station and should be made available directly from the contract in mission control instead. Going
to check a contract in tracking station and back means four menu changes and they go in the way when checking tracking station for already
accepted contracts.

#3 - 02/16/2016 10:13 AM - Arsonide

There is an option in Contracts.cfg that can help with survey navigation disorientation, but it is off by default. Pop it open and set
"SurveyNavigationGhosting" to True, and when the icon passes behind the navball, it will go translucent rather than disappearing.

#4 - 02/17/2016 07:10 PM - Kasuha

Arsonide wrote:

There is an option in Contracts.cfg that can help with survey navigation disorientation, but it is off by default. Pop it open and set
"SurveyNavigationGhosting" to True, and when the icon passes behind the navball, it will go translucent rather than disappearing.

Thanks fot the tip, | gave it a try. And | don't wonder that you turned it off. It was helpful when | was already landed and wanted to launch a suborbital
hop towards it (if the icon wasn't hidden behind speed or heading display) but when trying to land on it ... it was extremely confusing, not only that |
failed to fly in the correct direction, | even crashed my lander while trying to figure it out :) | could probably get used for it after some time but it's so
different from how anything else is done with navball that | don't even want to try.

What would be the best solution in my opinion would be a new icon (e.g. in the shape of the navpoint, i.e. inverted drop), its antipode ("normal” drop,
i.e. inverted navpoint), and an arrow like the one used with maneuver (might even be in shape of a drop again) pointing towards the "towards" icon
when either icon falls near the navball edge (within 20 degrees). In some constant color, navpoint gray would be ok. Current contract colors and icons
are fancy but sometimes hard to recognize against the navball background and for the contract icon | never know where inside it the "towards"
direction actually is.

#5 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification
